import { placements as Ye } from "../../../../../@popperjs/core/dist/index.mjs";
import { buildProps as j, definePropType as h } from "../../../utils/vue/props/runtime.mjs";
const a = ["fixed", "absolute"], p = j({
  boundariesPadding: {
    type: Number,
    default: 0
  },
  fallbackPlacements: {
    type: h(Array),
    default: void 0
  },
  gpuAcceleration: {
    type: Boolean,
    default: true
  },
  offset: {
    type: Number,
    default: 12
  },
  placement: {
    type: String,
    values: Ye,
    default: "bottom"
  },
  popperOptions: {
    type: h(Object),
    default: () => ({})
  },
  strategy: {
    type: String,
    values: a,
    default: "absolute"
  }
}), u = j({
  ...p,
  id: String,
  style: {
    type: h([String, Array, Object])
  },
  className: {
    type: h([String, Array, Object])
  },
  effect: {
    type: String,
    default: "dark"
  },
  visible: Boolean,
  enterable: {
    type: Boolean,
    default: true
  },
  pure: Boolean,
  focusOnShow: {
    type: Boolean,
    default: false
  },
  trapping: {
    type: Boolean,
    default: false
  },
  popperClass: {
    type: h([String, Array, Object])
  },
  popperStyle: {
    type: h([String, Array, Object])
  },
  referenceEl: {
    type: h(Object)
  },
  triggerTargetEl: {
    type: h(Object)
  },
  stopPopperMouseEvent: {
    type: Boolean,
    default: true
  },
  ariaLabel: {
    type: String,
    default: void 0
  },
  virtualTriggering: Boolean,
  zIndex: Number
}), s = {
  mouseenter: (t) => t instanceof MouseEvent,
  mouseleave: (t) => t instanceof MouseEvent,
  focus: () => true,
  blur: () => true,
  close: () => true
};
export {
  s as popperContentEmits,
  u as popperContentProps,
  p as popperCoreConfigProps
};
